Skip to content

List all collection resources

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Lists all the resources in a given collection

Path
collectionIdstringrequired

Unique identifier for the collection

Query
includeArray of strings

The include query parameter returns additional properties in the response.

Items Enum ValueDescription
entitlements

Returns entitlement detail and value count in the response

entitlementValueCount

Returns only the entitlement value count in the response

Example:include=entitlements
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
GET
/governance/api/v1/collections/{collectionId}/resources
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/collections/{collectionId}/resources?include=entitlements&limit=20&after=00u68w6vzKLultXS97g6'

Responses

A successful collection resources list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(collection-resource-full)
metadataobject(list-metadata)

Metadata for the list response

Response
List of resources in a collection
{ "data": [ {}, {}, {} ], "_links": { "next": {}, "self": {} }, "metadata": { "count": 3 } }